Subject: Re: [GSoC RFC PATCH v4 2/4] repo: add the field references.format

From: Lucas Seiki Oshiro <[email-masked]>
Date: Fri, 18 Jul 2025 16:13:29 -0300

> Is there any reason why the callback appends to a buffer instead of
> printing the data immediately?

Even though I answered you about that in our meeting, I'll answer you
again only to make it transparent for the other reviewers.

My idea was to build the output string and if something goes wrong
(e.g. the user requested a invalid key after some valid keys), the
process would exit without any output.

After our meeting, we agreed that this wouldn't be so important and it
would be better making the code simpler by just printing the key-value
pairs.